=== debian/changelog ===
icewm (1.3.8+githubmod+20150914+fa3fdef-2) unstable; urgency=medium

  * Restored /usr/share/icewm/preferences - some icewm settings don't get
    their defaults if the file is not present anywhere

 -- Eduard Bloch <blade@debian.org>  Tue, 15 Sep 2015 00:46:46 +0200

icewm (1.3.8+githubmod+20150914+fa3fdef-1) unstable; urgency=low

  * New upstream snapshot
    + restores Xinerama on platforms that were affected by #799009
  * Partial redesign of debian/rules to use dh sequencing
  * Apart from icewm-common package, making sure not to keep directories with
    regular files in /usr/share/doc (especially to not shadow the copyright
    file, closes: #798698)

 -- Eduard Bloch <blade@debian.org>  Mon, 14 Sep 2015 23:51:44 +0200

icewm (1.3.8+githubmod+20150818+ad97152-1) unstable; urgency=medium

  * New upstream snapshot (github version 1.3.10+)
    + Reverted the unconditional setting of Java focus hack that seems to
      cause more harm than good (closes: #782088)
  * Little cleanup and update of the default menu configuration

 -- Eduard Bloch <blade@debian.org>  Tue, 18 Aug 2015 11:37:45 +0200

icewm (1.3.8+githubmod+20150412+960629d-1) unstable; urgency=low

  * New upstream snapshot
    + fixes shaped decorations (closes: #782087)
  * Added the last version of FAQ, added text version (closes: #397231) and
    groff Build-Dependency to generate it
  * Added an example of a startup file for icewm-session, it also executes
    the XDG autorun files (closes: #401664)
  * Added a README to configuration directory in /etc, explaining the absence
    of the config file copies there. This also silences a dpkg warning on
    partial package removal (closes: #781069)

 -- Eduard Bloch <blade@debian.org>  Sun, 12 Apr 2015 00:06:37 +0200

icewm (1.3.8+githubmod+20150310+31bfd46-2) unstable; urgency=low

  * Adjusting build dependencies (cmake, removed various older ones)

 -- Eduard Bloch <blade@debian.org>  Tue, 10 Mar 2015 13:02:15 +0100

icewm (1.3.8+githubmod+20150310+31bfd46-1) unstable; urgency=low

  * New upstream snapshot, upload to unstable
    + fixes chopped strings with non-ascii locales in icewm-lite
  * Automatic deletion of old unmodified files from /etc/X11/icewm (the
    copies in /usr/share/icewm are used instead; this should stop the overall
    confusion, closes: #409269) and added instructions for
    configuration to README.Debian (closes: #593295)
  * Buggy icewm-menus-gnome is gone (closes: #716629, actually two versions ago)

 -- Eduard Bloch <blade@debian.org>  Tue, 10 Mar 2015 11:52:55 +0100

icewm (1.3.8+githubmod+20150214+d373d98-2) experimental; urgency=low

  * Unified naming of manpage suffix, removed conflicting symlink in icewm
    package (closes: #778797)
  * Added another conflicts to icewm, against previous versions of
    icewm-common that erroneously contained some meta files (closes: #778555)

 -- Eduard Bloch <blade@debian.org>  Fri, 20 Feb 2015 08:14:25 +0100

icewm (1.3.8+githubmod+20150214+d373d98-1) experimental; urgency=low

  * Back to non-native packaging, generating upstream snapshots as needed.
    Generating FAQ documents in the build process, new build dependency on
    linuxdoc-tools
  * Removed erraneous icewm-menu-fdo-... manpage links with suffix, moved it
    to icewm-common (closes: #778424)
  * Restored dh_fixperms call

 -- Eduard Bloch <blade@debian.org>  Sun, 15 Feb 2015 18:20:23 +0100

icewm (1.3.8+githubmod+20150213.2+d373d98) experimental; urgency=low

  * Adjusting build dependencies
  * Added a workaround for older glib version (for wheezy)

 -- Eduard Bloch <blade@debian.org>  Fri, 13 Feb 2015 16:55:57 +0100

icewm (1.3.8+githubmod+20150213.1+d373d98) experimental; urgency=low

  * Alternative upstream version: moving to community patched version on
    GitHub, with a Debian specific branch on top of icewm-1-3-BRANCH from
    Brian Bidulock <bidulock@openss7.org>
    + fixes shutdown and reboot commands (closes: #771845). Adaptation of some
      Debian defaults to use systemd services (otherwise via sudo like before).
    + includes the autocompletion patch (closes: #774231)
  * Dropped icewm-gnome-support package (now integrating a new desktop menu
    plugin supporting any modern format; dropping dependencies on ancient
    gnome libraries. Closes: #708042)
  * setting package dependency on fonts-dejavu-core, keeping ttf-dejavu-core
    as alternative for backport (closes: #770309)
  * Dropped most xsession*desktop files (closes: #605926), keeping only
    icewm-session*desktop invocation configs
  * Added a workaround for zombie windows apparently caused by startup races
    in icewm-session (closes: #695040, #695035, #760399)
  * Removed -name and -title options from x-terminal-emulator calls, those
    options are not universal
  * Not installing genpref anymore (no point, use config examples)

 -- Eduard Bloch <blade@debian.org>  Fri, 13 Feb 2015 15:31:48 +0100
