## icewm 1.3.8+mod+20161220

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})
 
 set(PROJECT_INCLUDE_DIR ${PROJECT_SOURCE_DIR}/src)
+include_directories(${CMAKE_BINARY_DIR})
 include_directories(${PROJECT_SOURCE_DIR})
 
 IF(NOT DEFINED(CMAKE_INSTALL_PREFIX))
