=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,15 @@
 INCLUDE(FindPkgConfig)
 INCLUDE(CheckCXXSourceCompiles)
 
-SET(CXXFLAGS_COMMON " -pthread -g -O2 -Wall -Wextra -Wno-unused-parameter -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -I. ${CMAKE_CXX_FLAGS}")
+SET(CXXFLAGS_COMMON " -pthread -Wall -Wextra -Wno-unused-parameter -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -I.")
+
+if("${CMAKE_BUILD_TYPE}" STREQUAL "" AND ("" STREQUAL "${CMAKE_CXX_FLAGS}"))
+	SET(CMAKE_BUILD_TYPE Release)
+endif()
+
+if("${CMAKE_BUILD_TYPE}" STREQUAL "Debug")
+   add_definitions(-DDEBUG)
+endif()
 
 # I don't need -rdynamic, thanks!
 SET(CMAKE_SHARED_LIBRARY_LINK_CXX_FLAGS "")
@@ -19,8 +27,6 @@
 
 # apply to test calls
 SET(CMAKE_REQUIRED_FLAGS ${CXXFLAGS_COMMON})
-
-include_directories(${PROJECT_SOURCE_DIR})
 
 option(CONFIG_XPM "Legacy XPM image loader" off)
 option(CONFIG_IMLIB "(Deprecated) IMLIB image loader" off)
@@ -235,12 +241,12 @@
 	option(CONFIG_TOOLTIP "Define to support tooltips" on)
 	option(CONFIG_WINLIST "Define for OS/2 like window list" on)
 	option(CONFIG_TASKBAR "Define to enable builtin taskbar" on)
-	option(CONFIG_APPLET_MEM_STATUS "Define for memory status applet" on)
 	if(CONFIG_TASKBAR)
 		option(CONFIG_ADDRESSBAR "Define for address bar" on)
 		option(CONFIG_TRAY "Define for system tray" on)
 		option(CONFIG_APPLET_MAILBOX "Define for mailbox applet" on)
 		option(CONFIG_APPLET_CPU_STATUS "Define for CPU status applet" on)
+		option(CONFIG_APPLET_MEM_STATUS "Define for memory status applet" on)
 		option(CONFIG_APPLET_NET_STATUS "Define for network status applet" on)
 		option(CONFIG_APPLET_CLOCK "Define for LCD clock applet" on)
 		option(CONFIG_APPLET_APM "Define for APM status applet" on)
@@ -280,7 +286,6 @@
 #######################################
 
 CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/src/config.cmake.h.in" "${CMAKE_BINARY_DIR}/config.h")
-include_directories("${CMAKE_BINARY_DIR}")
 
 #######################################
 # declaring targets and build flags   #
@@ -314,5 +319,3 @@
  wmwinmenu.cc wmdialog.cc wmabout.cc wmswitch.cc wmstatus.cc
  wmoption.cc wmaction.cc wmcontainer.cc wmclient.cc wmmgr.cc
  wmapp.cc wmframe.cc wmminiicon.cc wmtitle.cc
- movesize.cc themes.cc decorate.cc browse.cc wmprog.cc atasks.cc
- aworkspaces.cc amailbox.cc aclock.cc acpustatus.cc apppstatus.cc
