=== debian/changelog ===
icewm (1.3.8+mod+20161220-1) unstable; urgency=low

  * New upstream snapshot

 -- Eduard Bloch <blade@debian.org>  Tue, 20 Dec 2016 20:28:11 +0100

icewm (1.3.8+mod+20160906-1) unstable; urgency=medium

  * New upstream snapshot
    + fixes icon display problem in lightdm (closes: #836782)
    + fixes potential file handle leak in battery state monitoring

 -- Eduard Bloch <blade@debian.org>  Tue, 06 Sep 2016 20:36:21 +0200

icewm (1.3.8+mod+20160825-1) unstable; urgency=low

  * New upstream snapshot (1.3.12+)
    + background execution of shutdown command, probably closes: #787362
  * Adapt menu and toolbar references from Iceweasel to Firefox when needed
  * Changed XChat to HexChat since XChat was removed from Testing
  * Added some forgotten checksums for deprecated conffiles from 
    revision 1.3.8+githubmod+20150412+960629d-1
  * New menu category: Accessibility (closes: #825032)
  * Remove conffile /etc/X11/icewm/programs when purging (closes: #806401)

 -- Eduard Bloch <blade@debian.org>  Thu, 25 Aug 2016 20:33:15 +0200

icewm (1.3.8+mod+20151227-1) unstable; urgency=low

  * New upstream snapshot (1.3.12+)

 -- Eduard Bloch <blade@debian.org>  Sun, 27 Dec 2015 21:39:32 +0100
