=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Eduard Bloch <blade@debian.org>
 Build-Depends: debhelper (>= 9), libgdk-pixbuf2.0-dev, libxrender-dev, gettext, xfonts-utils, libxft-dev (>> 2.1.1) | libxft2-dev, libesd0-dev, libsm-dev, libx11-dev, libxext-dev, libxft-dev, libxinerama-dev, libxrandr-dev, x11proto-core-dev | x-dev, linuxdoc-tools, groff, dpkg-dev (>= 1.16.1~), cmake
 Build-Conflicts: libttf-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: https://github.com/Code7R/icewm.git
 
 Package: icewm-common
