=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # debian/rules for icewm
+
+%:
+	dh $@ --parallel
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -8,15 +11,10 @@
 include /usr/share/dpkg/architecture.mk
 -include /usr/share/quilt/quilt.make
 
-MAKEFLAGS += VERBOSE=1
-export MAKEFLAGS
-
 CXXFLAGS += $(CPPFLAGS) -DXTERMCMD=x-terminal-emulator -Wall -Wextra
 ifeq (linux,$(DEB_TARGET_ARCH_OS))
 	 CXXFLAGS += -DUSE_SIGNALFD
 endif
-
-cmakecmd = cmake $(CURDIR) -DICEHELPIDX=/usr/share/doc/icewm-common/html/icewm.html -DCFGDIR=/etc/X11/icewm -DCMAKE_INSTALL_PREFIX=/usr -DVERSION=$(ORIGVERSION) -DDOCDIR=$(DOCDIR) -DEXTRA_LIBS="-lsupc++"
 
 ICEWM_COMMON=$(CURDIR)/debian/icewm-common
 ICEWM=$(CURDIR)/debian/icewm
@@ -33,19 +31,22 @@
 DEBVERSION := $(shell dpkg-parsechangelog |grep ^Version | sed -e s,Version:.,,)
 ORIGVERSION := $(shell echo $(DEBVERSION) | sed -e 's,-[^-]*$$,,' )
 
+cmakecmd = cmake $(CURDIR) -DICEHELPIDX=/usr/share/doc/icewm-common/html/icewm.html -DCFGDIR=/etc/X11/icewm -DCMAKE_INSTALL_PREFIX=/usr -DVERSION=$(ORIGVERSION) -DDOCDIR=$(DOCDIR) -DEXTRA_LIBS="-lsupc++" -DCMAKE_VERBOSE_MAKEFILE=ON
 
-#!/usr/bin/make -f
-%:
-	dh $@ --parallel
+config_lite:
+	mkdir -p $(BDIR)-lite
+	cd $(BDIR)-lite && $(cmakecmd) -DLITE=on -DEXEEXT=-lite -DCONFIG_XFREETYPE=off -DCONFIG_COREFONTS=on -DXINERAMA=on -DCONFIG_XRANDR=off -DCONFIG_TASKBAR=off -DCONFIG_FDO_MENUS=off -DSKIP_TRANSLATIONS=on
+
+config_normal:
+	mkdir -p $(BDIR)-normal
+	cd $(BDIR)-normal && $(cmakecmd) -DCONFIG_XRANDR=on -DCONFIG_GUIEVENTS=on
 
 override_dh_auto_configure:
-	mkdir -p $(BDIR)-lite $(BDIR)-normal
-	cd $(BDIR)-lite && $(cmakecmd) -DLITE=on -DEXEEXT=-lite -DCONFIG_XFREETYPE=off -DCONFIG_COREFONTS=on -DXINERAMA=on -DCONFIG_XRANDR=off -DCONFIG_TASKBAR=off -DCONFIG_FDO_MENUS=off -DSKIP_TRANSLATIONS=on
-	cd $(BDIR)-normal && $(cmakecmd) -DCONFIG_XRANDR=on -DCONFIG_GUIEVENTS=on
+	$(MAKE) -f debian/rules -j2 config_normal config_lite
 
 override_dh_auto_build:
-	$(MAKE) -C $(BDIR)-lite
-	$(MAKE) -C $(BDIR)-normal
+	dh_auto_build -- -C $(BDIR)-lite
+	dh_auto_build -- -C $(BDIR)-normal
 	cd debian && for x in -lite -experimental ; do cp -lf icewm.postinst icewm$$x.postinst ; cp -lf icewm.prerm icewm$$x.prerm ; done
 
 override_dh_auto_install:
@@ -59,7 +60,7 @@
 		ln -sf icewm-common debian/icewm$$v/usr/share/doc/icewm$$v ; done
 	sed -e 's,icewm-session,icewm-session-lite,g;s,^Name\(.*\),Name\1 [lite],' < lib/icewm-session.desktop > $(ICEWM_LITE)/usr/share/xsessions/IceWM-Lite.desktop
 	# XXX: find out why some settings are not gettint defaults if the file is not present, like WorkspaceNames
-	cp $(ICEWM_COMMON)/usr/share/doc/icewm-common/preferences $(ICEWM_COMMON)/usr/share/icewm/
+	#cp $(ICEWM_COMMON)/usr/share/doc/icewm-common/preferences $(ICEWM_COMMON)/usr/share/icewm/
 	# Install Debian custom files
 	install -m 644 $(ICONS)/mutt*.xpm $(ICEWM_COMMON)/usr/share/icewm/icons
 	install -m 644 $(ICONS)/mozilla*.xpm $(ICEWM_COMMON)/usr/share/icewm/icons
@@ -68,6 +69,7 @@
 	install -m 644 $(ICONS)/debian.xpm $(ICEWM_COMMON)/usr/share/icewm/taskbar/icewm.xpm
 	mkdir -p $(ICEWM_COMMON)/usr/bin $(ICEWM_COMMON)/etc/X11/icewm
 	install -m 644 $(CUSTOM)/toolbar $(CUSTOM)/menu $(ICEWM_COMMON)/usr/share/icewm
+	if apt-cache show firefox | grep -q pool.main.f ; then sed -e "s,Iceweasel,Firefox,g;s,iceweasel,firefox,g" -i $(ICEWM_COMMON)/usr/share/icewm/menu $(ICEWM_COMMON)/usr/share/icewm/toolbar ; fi
 	install -m 644 debian/README.cfg $(ICEWM_COMMON)/usr/share/icewm/README
 	# Extra docs
 	mkdir -p "$(ICEWM_COMMON)/usr/share/doc/icewm-common/FAQ"
@@ -113,7 +115,7 @@
 # builds a snapshot of the upstream branch after some plausibility checks
 get-orig-source:
 	! test -e ../icewm_$(ORIGVERSION).orig.tar.xz || (echo Target already exists ; exit 1)
-	lc=`git reflog icewm-1-3-BRANCH | head -n1 | cut -f1 -d" "` && echo "Expected upstream ref: $$lc" && echo $(ORIGVERSION) | grep $$lc
+	lc=`git reflog icewm-1-3-BRANCH | head -n1 | cut -f1 -d" "` && echo "Expected upstream ref: $$lc" && grep -m1 ^commit ChangeLog | grep $$lc
 	git tag upstream/$(ORIGVERSION) icewm-1-3-BRANCH
 	git archive upstream/$(ORIGVERSION) --prefix icewm-$(ORIGVERSION)/ | xz -9 > ../icewm_$(ORIGVERSION).orig.tar.xz
 	test -d ../tarballs && ln ../icewm_$(ORIGVERSION).orig.tar.xz ../tarballs || true
@@ -121,7 +123,5 @@
 
 update-debian-mod:
 	grep debian .git/HEAD
-	DEVBRANCH=icewm-1-3-BRANCH NOAC=1 sh autogen.sh
+	git log icewm-1-3-BRANCH -n 200 --decorate --stat=76 -M -C|fmt -sct -w80 > ChangeLog
 	git commit ChangeLog -m "Updating ChangeLog for a new Debian snapshot"
-	# don't care
-	git checkout HEAD -- README.md configure.ac
