=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 INCLUDE(FindPkgConfig)
 INCLUDE(CheckCXXSourceCompiles)
 
-SET(CXXFLAGS_COMMON " -pthread -Wall -Wextra -Wno-unused-parameter -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -I.")
+SET(CXXFLAGS_COMMON "-pthread -Wall -Wextra -Wno-unused-parameter -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -I.")
 
 if("${CMAKE_BUILD_TYPE}" STREQUAL "" AND ("" STREQUAL "${CMAKE_CXX_FLAGS}"))
 	SET(CMAKE_BUILD_TYPE Release)
@@ -280,6 +280,12 @@
    SET(CMAKE_EXE_LINKER_FLAGS ${LDFLAGS_ORIG})
 ENDIF()
 
+# teach GCC7 to interpret our comments
+SET(CMAKE_REQUIRED_FLAGS "${CXXFLAGS_COMMON} -Wimplicit-fallthrough=2")
+CHECK_CXX_SOURCE_COMPILES("int main() {return 0;}" USE_FALLTHROUGH_WARNING)
+IF(USE_FALLTHROUGH_WARNING)
+        SET(CXXFLAGS_COMMON "${CXXFLAGS_COMMON} -Wimplicit-fallthrough=2")
+ENDIF()
 
 #######################################
 # all checks done, save configuration #
@@ -298,7 +304,7 @@
 	#message(STATUS "Normalizing argument lists: ${${pfx}_LDFLAGS} ; ${${pfx}_CFLAGS}")
 endforeach()
 
-SET(ICE_COMMON_SRCS mstring.cc upath.cc yapp.cc yxapp.cc ytimer.cc
+SET(ICE_COMMON_SRCS mstring.cc udir.cc upath.cc yapp.cc yxapp.cc ytimer.cc
  ywindow.cc ypaint.cc ypopup.cc misc.cc ycursor.cc ysocket.cc ypaths.cc
  ypixbuf.cc ylocale.cc yarray.cc ypipereader.cc yxembed.cc yconfig.cc
  yprefs.cc yfont.cc ypixmap.cc yimage.cc
@@ -314,8 +320,3 @@
 SET(ITK_SRCS ymenu.cc ylabel.cc yscrollview.cc ymenuitem.cc yscrollbar.cc ybutton.cc ylistbox.cc yinput.cc yicon.cc wmconfig.cc ref.cc
    ydialog.cc ymsgbox.cc)
 
-SET(ICEWM_SRCS ${ICE_COMMON_SRCS} ${ITK_SRCS}
- wmbutton.cc wmsession.cc wmwinlist.cc wmtaskbar.cc
- wmwinmenu.cc wmdialog.cc wmabout.cc wmswitch.cc wmstatus.cc
- wmoption.cc wmaction.cc wmcontainer.cc wmclient.cc wmmgr.cc
- wmapp.cc wmframe.cc wmminiicon.cc wmtitle.cc
