=== debian/changelog ===
icewm (1.4.2) unstable; urgency=medium

  * New github build

 -- anticapitalista <antix@operamail.com>  Sun, 30 Jul 2017 16:52:52 +0100

icewm (1.3.12+mod+20170325.1) unstable; urgency=medium

  * Changed default theme

 -- anticapitalista <antix@operamail.com>  Tue, 11 Apr 2017 01:05:51 +0300

icewm (1.3.12+mod+20170325) unstable; urgency=low

  * New upstream snapshot 

 -- anticapitalista <antix@operamail.com>  Sat, 25 Mar 2017 19:12:34 +0200
